<template>
  <v-text-field
    :label="fieldLabel"
    :rules="label ? [validate] : []"
    :disabled="label === null"
    :value="field"
    @blur="() => onInput(field.trim())"
    @input="onInput"
  />
</template>
<script lang="ts">
import { Component, Prop } from 'vue-property-decorator';
import LabelField from './LabelField.vue';

@Component
export default class TagField extends LabelField<'tag'> {
  /** @override */
  key = 'tag' as const;

  /** @override */
  parse(val: string): string {
    return val;
  }

  /** @override */
  print(val: string): string { return val; }

  public focus() {
    this.$el.querySelector('input')?.select();
  }

  @Prop({ required: false })
  fieldLabel!: string | undefined;
}
</script>
